<template>
  <div>
    <ModuleHeroHeader
      v-show="ready"
      ref="heroheader"
      class="heroheader"
      :items="{ left: slidesLeft, right: slidesRight }"
    />
    <div v-if="page.textboxes" class="anchor-menu">
      <button v-scroll-to="{ el: '#page', offset: -200 }" class="news-btn">
        {{ $tr('button-news-home') }}
      </button>
      <div class="icon">
        <UiCoreVIcon name="south" />
      </div>
    </div>
    <div id="page" class="page-text" v-show="ready">
      <div v-if="page" class="content">
        <ModuleBackgroundedText
          v-for="(item, i) in page.textboxes"
          :key="`item-${i}`"
          :color="item.text_color"
          :bgcolor="item.background_color"
          :text="item.text"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  async asyncData({ params, $api }) {
    const page = await $api.page.getPageByName('Home')
    const slidesLeft = page.data[0].slides_left
    const slidesRight = page.data[0].slides_right

    // const page = page.data[0]
    return { page: page.data[0], slidesLeft, slidesRight }
  },
  data() {
    return {
      ready: false,
      page: null,
      slidesLeft: null,
      slidesRight: null,
    }
  },
  head() {
    return {
      title: 'Oh! Oui... ',
    }
  },

  mounted() {
    // fire event with hero header items as params {left: Object, right:Object}

    const t = this
    setTimeout(() => {
      t.$nuxt.$emit('pageloaded', {
        title: this.page.title,
      })
      t.ready = true
    }, 500)
  },
}
</script>

<style lang="scss" scoped>
.page-text {
  @apply h-full;
  background: #fcfcfc;
}

.content {
  @apply px-8 py-8 flex flex-col;
  left: 0;
  @screen xl {
    @apply py-16 content-around px-12;
  }
  @screen xxl {
    @apply px-32 py-16 content-around  -mr-32;
  }
}

@keyframes appear {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
</style>
